# OpenLayers.Format.SLD/v1_0_0_GeoServer

Read and write SLD version 1.0.0 with GeoServer-specific enhanced options. See http://svn.osgeo.org/geotools/trunk/modules/extension/xsd/xsd-sld/src/main/resources/org/geotools/sld/bindings/StyledLayerDescriptor.xsd for more information.

#### Inherits from

- OpenLayers.Format.SLD.v1_0_0

Summary

OpenLayers.Format.SLD/v1_0_0_GeoServer | Read and write SLD version 1.0.0 with GeoServer-specific enhanced options.
Properties |
version | {String} The specific parser version.
profile | {String} The specific profile
Constructor |
OpenLayers.Format.SLD.v1_0_0_GeoServer | Create a new parser for GeoServer-enhanced SLD version 1.0.0.
Properties |
readers | Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name.
writers | As a compliment to the readers property, this structure contains public writing functions grouped by namespace alias and named like the node names they produce.
Functions |
addVendorOptions | Add in the VendorOption tags and return the node again.

### Properties

### version

{String} The specific parser version.

### profile

{String} The specific profile

### Constructor

### OpenLayers.Format.SLD.v1_0_0_GeoServer

Create a new parser for GeoServer-enhanced SLD version 1.0.0.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Properties

### readers

Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name. The function will be applied in the scope of this parser with two arguments: the node being read and a context object passed from the parent.

### writers

As a compliment to the readers property, this structure contains public writing functions grouped by namespace alias and named like the node names they produce.

### Functions

### addVendorOptions

> addVendorOptions: function( | node,
> | symbolizer | )

Add in the VendorOption tags and return the node again.

#### Parameters

node | {DOMElement} A DOM node.
symbolizer | {Object}

#### Returns

{DOMElement} A DOM node.

> addVendorOptions: function( | node,
> | symbolizer | )

Add in the VendorOption tags and return the node again.
Write SLD version 1.0.0.
Close